
Installer - Bug #29894

Success file is written, even if the installer failed

05/20/2020 01:00 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: foreman-installer script   

Target version: 2.0.1   

Difficulty:  Fixed in Releases: 2.0.1, 2.1.0

Triaged: Yes Found in Releases: 2.0.0, 2.1.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/506

  

Description

When the installer is ran but failed, the success file is written. On the next run, the success file exists so the initial credentials are not

shown.

This was found on 2.1.0-RC1 but can be traced to 540638cd3bc295a0f857f87b89863af5db8558b9 (#29243) which was picked to

2.0-stable.

Related issues:

Related to Installer - Bug #29243: New install message shown every time Closed

Associated revisions

Revision 284a71cc - 05/21/2020 01:01 PM - Ewoud Kohl van Wijngaarden

Fixes #29894 - Only write the success file on success

540638cd3bc295a0f857f87b89863af5db8558b9 introduced a success file, but

it's written regardless of success. When the first run fails, the user

doesn't see initial credentials on the second (successful) run.

History

#1 - 05/20/2020 01:01 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #29243: New install message shown every time added

#2 - 05/20/2020 01:03 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/506 added

#3 - 05/20/2020 02:43 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.1.0

- Triaged changed from No to Yes

This should be fixed in 2.1.0 and picked into 2.0.1.

#4 - 05/21/2020 01:02 PM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#5 - 05/21/2020 02:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|284a71cc20b20e4d6686c7bdbd025154c9c2ad12.
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/540638cd3bc295a0f857f87b89863af5db8558b9
https://projects.theforeman.org/issues/29243
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/284a71cc20b20e4d6686c7bdbd025154c9c2ad12


#6 - 06/01/2020 10:25 AM - Tomer Brisker

- Target version changed from 2.1.0 to 2.0.1

#7 - 06/01/2020 10:27 AM - Tomer Brisker

- Fixed in Releases 2.0.1, 2.1.0 added

- Fixed in Releases deleted (2.2.0)
